org.red5.io

## Interface IoConstants

All Known Subinterfaces:
  ITag

All Known Implementing Classes:
  Aggregate, FLVReader, M4AReader, MP4Reader, Tag, VideoData

    public interface IoConstants

Constants found in FLV files / streams.

### Field Summary

Fields
`static byte` `AVC_PACKET_TYPE_END_OF_SEQUENCE`
`static byte` `AVC_PACKET_TYPE_NALU`
`static byte` `AVC_PACKET_TYPE_SEQUENCE_HEADER`
`static byte` `FLAG_CODEC_H263` H263 codec flag
`static byte` `FLAG_CODEC_SCREEN` Screen codec flag
`static byte` `FLAG_CODEC_VP6` On2 VP6 codec flag
`static byte` `FLAG_FORMAT_ADPCM` ADPCM format flag
`static byte` `FLAG_FORMAT_MP3` MP3 format flag
`static byte` `FLAG_FORMAT_NELLYMOSER` NellyMoser-encoded audio format flag
`static byte` `FLAG_FORMAT_NELLYMOSER_8_KHZ` 8 KHz NellyMoser audio format flag
`static byte` `FLAG_FORMAT_RAW` Raw data format flag
`static byte` `FLAG_FRAMETYPE_DISPOSABLE` Disposable frame type flag
`static byte` `FLAG_FRAMETYPE_GENERATED_KEYFRAME` Generated keyframe type flag
`static byte` `FLAG_FRAMETYPE_INFO` Info frame type flag
`static byte` `FLAG_FRAMETYPE_INTERFRAME` Interframe flag.
`static byte` `FLAG_FRAMETYPE_KEYFRAME` Keyframe type flag
`static byte` `FLAG_RATE_11_KHZ` 11 KHz rate flag
`static byte` `FLAG_RATE_22_KHZ` 22 KHz rate flag
`static byte` `FLAG_RATE_44_KHZ` 44 KHz rate flag
`static byte` `FLAG_RATE_48_KHZ` 48 KHz rate flag
`static byte` `FLAG_RATE_5_5_KHZ` 5.5 KHz rate flag
`static byte` `FLAG_SIZE_16_BIT` 16 bit flag size
`static byte` `FLAG_SIZE_8_BIT` 8 bit flag size
`static byte` `FLAG_TYPE_MONO` Mono mode
`static byte` `FLAG_TYPE_STEREO` Stereo mode
`static byte` `INFO_PACKET_SEEK_END`
`static byte` `INFO_PACKET_SEEK_START`
`static int` `MASK_SOUND_FORMAT` Mask sound format (unsigned)
`static byte` `MASK_SOUND_RATE` Mask sound rate
`static byte` `MASK_SOUND_SIZE` Mask sound size
`static byte` `MASK_SOUND_TYPE` Mask sound type
`static byte` `MASK_VIDEO_CODEC` Mask video codec
`static int` `MASK_VIDEO_FRAMETYPE` Video frametype flag
`static byte` `TYPE_AUDIO` Audio data
`static byte` `TYPE_ENCRYPTED` Encryption
`static byte` `TYPE_ENCRYPTED_AUDIO` Encrypted audio data
`static byte` `TYPE_ENCRYPTED_METADATA` Encrypted meta data
`static byte` `TYPE_ENCRYPTED_VIDEO` Encrypted video data
`static byte` `TYPE_METADATA` Metadata
`static byte` `TYPE_VIDEO` Video data

### Field Detail

#### TYPE_VIDEO

    static final byte TYPE_VIDEO

Video data

See Also:
  Constant Field Values

#### TYPE_AUDIO

    static final byte TYPE_AUDIO

Audio data

See Also:
  Constant Field Values

#### TYPE_METADATA

    static final byte TYPE_METADATA

Metadata

See Also:
  Constant Field Values

#### TYPE_ENCRYPTED

    static final byte TYPE_ENCRYPTED

Encryption

See Also:
  Constant Field Values

#### TYPE_ENCRYPTED_AUDIO

    static final byte TYPE_ENCRYPTED_AUDIO

Encrypted audio data

See Also:
  Constant Field Values

#### TYPE_ENCRYPTED_VIDEO

    static final byte TYPE_ENCRYPTED_VIDEO

Encrypted video data

See Also:
  Constant Field Values

#### TYPE_ENCRYPTED_METADATA

    static final byte TYPE_ENCRYPTED_METADATA

Encrypted meta data

See Also:
  Constant Field Values

#### MASK_SOUND_TYPE

    static final byte MASK_SOUND_TYPE

Mask sound type

See Also:
  Constant Field Values

#### FLAG_TYPE_MONO

    static final byte FLAG_TYPE_MONO

Mono mode

See Also:
  Constant Field Values

#### FLAG_TYPE_STEREO

    static final byte FLAG_TYPE_STEREO

Stereo mode

See Also:
  Constant Field Values

#### MASK_SOUND_SIZE

    static final byte MASK_SOUND_SIZE

Mask sound size

See Also:
  Constant Field Values

#### FLAG_SIZE_8_BIT

    static final byte FLAG_SIZE_8_BIT

8 bit flag size

See Also:
  Constant Field Values

#### FLAG_SIZE_16_BIT

    static final byte FLAG_SIZE_16_BIT

16 bit flag size

See Also:
  Constant Field Values

#### MASK_SOUND_RATE

    static final byte MASK_SOUND_RATE

Mask sound rate

See Also:
  Constant Field Values

#### FLAG_RATE_5_5_KHZ

    static final byte FLAG_RATE_5_5_KHZ

5.5 KHz rate flag

See Also:
  Constant Field Values

#### FLAG_RATE_11_KHZ

    static final byte FLAG_RATE_11_KHZ

11 KHz rate flag

See Also:
  Constant Field Values

#### FLAG_RATE_22_KHZ

    static final byte FLAG_RATE_22_KHZ

22 KHz rate flag

See Also:
  Constant Field Values

#### FLAG_RATE_44_KHZ

    static final byte FLAG_RATE_44_KHZ

44 KHz rate flag

See Also:
  Constant Field Values

#### FLAG_RATE_48_KHZ

    static final byte FLAG_RATE_48_KHZ

48 KHz rate flag

See Also:
  Constant Field Values

#### MASK_SOUND_FORMAT

    static final int MASK_SOUND_FORMAT

Mask sound format (unsigned)

See Also:
  Constant Field Values

#### FLAG_FORMAT_RAW

    static final byte FLAG_FORMAT_RAW

Raw data format flag

See Also:
  Constant Field Values

#### FLAG_FORMAT_ADPCM

    static final byte FLAG_FORMAT_ADPCM

ADPCM format flag

See Also:
  Constant Field Values

#### FLAG_FORMAT_MP3

    static final byte FLAG_FORMAT_MP3

MP3 format flag

See Also:
  Constant Field Values

#### FLAG_FORMAT_NELLYMOSER_8_KHZ

    static final byte FLAG_FORMAT_NELLYMOSER_8_KHZ

8 KHz NellyMoser audio format flag

See Also:
  Constant Field Values

#### FLAG_FORMAT_NELLYMOSER

    static final byte FLAG_FORMAT_NELLYMOSER

NellyMoser-encoded audio format flag

See Also:
  Constant Field Values

#### MASK_VIDEO_CODEC

    static final byte MASK_VIDEO_CODEC

Mask video codec

See Also:
  Constant Field Values

#### FLAG_CODEC_H263

    static final byte FLAG_CODEC_H263

H263 codec flag

See Also:
  Constant Field Values

#### FLAG_CODEC_SCREEN

    static final byte FLAG_CODEC_SCREEN

Screen codec flag

See Also:
  Constant Field Values

#### FLAG_CODEC_VP6

    static final byte FLAG_CODEC_VP6

On2 VP6 codec flag

See Also:
  Constant Field Values

#### MASK_VIDEO_FRAMETYPE

    static final int MASK_VIDEO_FRAMETYPE

Video frametype flag

See Also:
  Constant Field Values

#### FLAG_FRAMETYPE_KEYFRAME

    static final byte FLAG_FRAMETYPE_KEYFRAME

Keyframe type flag

See Also:
  Constant Field Values

#### FLAG_FRAMETYPE_INTERFRAME

    static final byte FLAG_FRAMETYPE_INTERFRAME

Interframe flag. Interframes are created from keyframes rather than independent image

See Also:
  Constant Field Values

#### FLAG_FRAMETYPE_DISPOSABLE

    static final byte FLAG_FRAMETYPE_DISPOSABLE

Disposable frame type flag

See Also:
  Constant Field Values

#### FLAG_FRAMETYPE_GENERATED_KEYFRAME

    static final byte FLAG_FRAMETYPE_GENERATED_KEYFRAME

Generated keyframe type flag

See Also:
  Constant Field Values

#### FLAG_FRAMETYPE_INFO

    static final byte FLAG_FRAMETYPE_INFO

Info frame type flag

See Also:
  Constant Field Values

#### AVC_PACKET_TYPE_SEQUENCE_HEADER

    static final byte AVC_PACKET_TYPE_SEQUENCE_HEADER

See Also:
  Constant Field Values

#### AVC_PACKET_TYPE_NALU

    static final byte AVC_PACKET_TYPE_NALU

See Also:
  Constant Field Values

#### AVC_PACKET_TYPE_END_OF_SEQUENCE

    static final byte AVC_PACKET_TYPE_END_OF_SEQUENCE

See Also:
  Constant Field Values

#### INFO_PACKET_SEEK_START

    static final byte INFO_PACKET_SEEK_START

See Also:
  Constant Field Values

#### INFO_PACKET_SEEK_END

    static final byte INFO_PACKET_SEEK_END

See Also:
  Constant Field Values